/*---------------------------------------------------------------------------------
 * $Id: main.c 4 2006-10-26 17:54:40Z jos $
 * 
 * parse_url example code
---------------------------------------------------------------------------------*/
#include "nds.h"
#include <nds/arm9/console.h> //basic print funcionality
#include <stdio.h>

#include "parse_url.h"

//---------------------------------------------------------------------------------
int main(void) {
//---------------------------------------------------------------------------------

	videoSetMode(0);	//not using the main screen
	videoSetModeSub(MODE_0_2D | DISPLAY_BG0_ACTIVE);	//sub bg 0 will be used to print text
	vramSetBankC(VRAM_C_SUB_BG);

	SUB_BG0_CR = BG_MAP_BASE(31);

	BG_PALETTE_SUB[255] = RGB15(31,31,31);	//by default font will be rendered with color 255

	//consoleInit() is a lot more flexible but this gets you up and running quick
	consoleInitDefault((u16*)SCREEN_BASE_BLOCK_SUB(31), (u16*)CHAR_BASE_BLOCK_SUB(0), 16);

	iprintf("\n\n\tHello World!\n");
	
	char*  host = NULL;
	char*  prot = NULL;
	char*  file = NULL;
	int    port = 80;
	int    retval = 0;
	
	retval = parse_url(&prot, &host, &file, &port, "htt//test.com:80/s8");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	retval = parse_url(&prot, &host, &file, &port, "http://test.com:80//str/tre/e");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	retval = parse_url(&prot, &host, &file, &port, "http://///test.com:80/st/18");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	retval = parse_url(&prot, &host, &file, &port, "http://:test.com:80/stream18");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	retval = parse_url(&prot, &host, &file, &port, "http://test.com:80/stream/1018.php?aljkhlkad=24343");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	retval = parse_url(&prot, &host, &file, &port, "http://ds.circuitdb.com/index.html");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	retval = parse_url(&prot, &host, &file, &port, "http://///test.com:80/");
	if (retval == 0){
		iprintf("%s %s %i %s\n", prot, host, port, file);
	}else{
		iprintf("Mallformed url\n");
	}
	
	while(1) {
	}

	return 0;
}
